darkstat (3.0.721-2) unstable; urgency=medium

  * Revert "Drop debian/dirs which is unneeded" (Closes: #1088668)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Fri, 29 Nov 2024 18:01:35 +0100

darkstat (3.0.721-1) unstable; urgency=medium

  [ наб ]
  * Team upload.
  * New upstream version 3.0.721
  * Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
    Closes: #1085516
  * d/watch: fix for https://github.com/emikulic/darkstat
  * d/control: Vcs-Git: https://salsa.debian.org/salvage-team/darkstat.git
  * d/control: Standards-Version: 3.9.6 -> 4.7.0
  * d/rules: use dh
  * d/docs: update for 3.0.721-1
  * d/control: lintian depends-on-obsolete-package Depends: lsb-base
  * d/darkstat.service: add (Closes: #1039164)
  * d/po/fr.po, d/po/sv.po: UTF-8ise
  * d/control: Rules-Requires-Root: no
  * debian/patches/0002: Don't autodetect and link to libbsd
  * Hardening
  * debhelper-compat 13 (routine-update)
  * d/copyright: DEP-5

  [ Remus-Gabriel Chelu ]
  * [INTL:ro] Romanian debconf templates translation of darkstat
    (Closes: #1031605)

  [ Helmut Grohne ]
  * Fix FTCBFS: Supply HOSTCC to make. (Closes: #914628)

  [ Andreas Tille ]
  * Drop debian/dirs which is unneeded
  * Fix day-of-week for changelog entry 2.3-2.

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sat, 09 Nov 2024 23:34:32 +0100

darkstat (3.0.719-1.1) unstable; urgency=medium

  * Non-maintainer upload with maintainer permission.
  * Add debconf template translation
    - Add Italian translation.
     Thanks to Beatrice Torracca (Closes: #766863)

 -- Dr. Helge Kreutzmann <debian@helgefjell.de>  Thu, 19 Jan 2023 19:29:36 +0100

darkstat (3.0.719-1) unstable; urgency=low

  * New upstream release
    + Implement tracking of remote ports: shows which ports the host
      is making outgoing connections to. Long time feature request.
    + Bugfix: when the capture interface goes down, exit instead of
      busy-looping forever.
    + Fix "clock error" due to machine reboot. (Closes: #800587)
    + SIGUSR1 now resets the time and bytes reported on the graphs
      page.
    + Account for all IP protocols.
    + Change the default ports_max to only twice the default
      ports_keep.
  * Update debian policy to 3.9.6, no changes needed.
  * Update homepage url to use https

 -- Emil Mikulic <emikulic@gmail.com>  Thu, 15 Oct 2015 23:49:59 +1100

darkstat (3.0.718-2) unstable; urgency=low

  * Fix FTBFS on Hurd

 -- Rene Mayorga <rmayorga@debian.org>  Sun, 13 Apr 2014 18:41:00 +0000

darkstat (3.0.718-1) unstable; urgency=low

  * New upstream release (Closes: #737857)
    + Fix IPv6 error on start (Closes: 687967)
    + Fix exits when monitoring ppp0 (Closes: #663515)
  * debian/watch - remove dversionmangle and repack script
  * debian/rpack.sh deleted.
  * README.Source deleted
  * Add Emil as a co-maint
  * debian/rules
    + remove not needed options on configure-stamp
    + use dpkg-buildflags
  * use dh compat 9, debhelper B-D updated
  * Update debian policy to 3.9.5
    + use mandatory build-arch and build-indep targets
  * Convert to dpkg-source 3.0 quilt format
  * Correct tcpdump's section number on the manpage (Closes: #671442)

 -- Rene Mayorga <rmayorga@debian.org>  Sun, 23 Mar 2014 12:36:51 +0000

darkstat (3.0.715-1) unstable; urgency=low

  * New upstream release
  * Using orig.tar.gz whitout repack again since upstream correct the
    license's issues.

 -- Rene Mayorga <rmayorga@debian.org>  Mon, 12 Mar 2012 23:43:43 +0900

darkstat (3.0.714+dfsg-1) unstable; urgency=low

  * New upstream release
    + IPv6 support added by upstream (Closes: #593900)
  * debian/control: replace the old homepage
  * Added Brazilian Portuguese debconf template, thanks
    to Flamarion Jorge <flamarilinux@yahoo.com.br> (Closes: #621868)
  * debian/watch:
    + update to new homepage
    + call rpack.sh to recreate +dfsg.orig.tar.gz
    + add dversionmangle, now we are using +dfsg
  * debian/copyright:
    + update copyright info
  * Remove contrib/darkproxy.php from tarball and repack as DFSG,
    this file does not have any valid license.
    + Add script rpack.sh based on repack.sh from pkg-perl
    + Add README.Source to document the repacked tarball.

 -- Rene Mayorga <rmayorga@debian.org>  Tue, 07 Jun 2011 08:53:58 -0600

darkstat (3.0.713-3) unstable; urgency=low

  * Fix a lot of pending l10n bugs:
    + Adding Danish translation tanks goes to
      Joe Dalton <joedalton2@yahoo.dk> (Closes: #601713)
    + Adding Vietnamese tranlation, thanks goes to
      Clytie Siddall <clytie@riverland.net.au> (Closes: #601927)
    + Adding Slovak translations, thanks goes to:
      helix84@centrum.sk (Closes: #619590)
    + Adding Finnish translation, thanks goes to
      Esko Arajärvi <edu@iki.fi> (Closes: #619750)
    + Adding Norwegian Bokmal tranlations, thanks goes to:
      Bjørn Steensrud <bjornst@skogkatt.homelinux.org> (Closes: #619732)
  * Update Standards versions to 3.9.2 (No changes needed)
  * debian/copyright:
    + Inlcude full text of BSD License.
    + Update copyright info for sort_hosts.c

 -- Rene Mayorga <rmayorga@debian.org>  Thu, 07 Apr 2011 19:52:26 -0600

darkstat (3.0.713-2) unstable; urgency=low

  * Patches forwarded from Emil
    and Ubuntu Maintainers, thank you guys :) :
      + Improve comments on init.cfg to be less confusing to users.
      + Add $DAYLOG and $FILTER vars to init.cfg conf
        file and init.d script.
      + Remove unused options from configure-stamp target.
  * Allow extra OPTIONS at the config file, thanks goes to
    Javier Barroso. (Closes: #581553)


 -- Rene Mayorga <rmayorga@debian.org>  Thu, 20 May 2010 10:01:02 -0600

darkstat (3.0.713-1) unstable; urgency=low

  * New upstream release
  * Remove fetch-upstream-changelog upstream from debian/rules
    and remove changelog.upstream from debian/, upstream now includes this
    on the tarball, thanks Emil!.
  * Set standards-version to 3.8.4 ( no changes needed )
  * Use $remote_fs on Requiired-Start at init.d script.
  * Update copyright info.
  * Remove THANKS from debian/docs upstream now include this info on AUTHORS
  * Remove the leading article on Description

 -- Rene Mayorga <rmayorga@debian.org>  Tue, 23 Mar 2010 18:39:54 -0600

darkstat (3.0.712-2) unstable; urgency=low

  * Clarify configuration example about the -l option about the
    expected format of the network. (Closes: #556140)
  * Add Russian debconf templates translation, thanks to
    Yuri Kozlov <yuray@komyakino.ru>. (Closes: #543183)
  * Update standards-versions to 3.8.3 (No changes needed)

 -- Rene Mayorga <rmayorga@debian.org>  Sun, 15 Nov 2009 11:15:38 -0600

darkstat (3.0.712-1) unstable; urgency=low

  * New upstream release (Closes: #515183)
  * remove manpage-section-and-minus-hyphen.patch
    applied upstream.
  * debian/control:
    + remove quilt B-D
    + Update my email address
    + Depends on DH 7
    + add lsb-base to Depends
  * debian/rules
    + remove workarround for darkstat.8 changes
    + use dh_prep insted dh_clean -k
    + use -R option on dh_installinit
    + add fetch-upstream-changelog target
  * remove README.source
  * debian/init.d:
    + remove unused $SPY var
    + not use debug-run anymore, just show a note about the manpage
    + use lsb-functions instead of plain `echo' calls
    + do more checks based on the PIDFILE to verify if darkstat status
    + some other minor/cosmetic tweaks
  * debian/copyright: update upstream copyright years
  * correct some small typos at README.Debian
  * add and install the upstream changelog provided
    only online at: http://dmr.ath.cx/net/darkstat/changelog.txt

 -- Rene Mayorga <rmayorga@debian.org>  Mon, 16 Feb 2009 13:47:10 -0600

darkstat (3.0.708-2) unstable; urgency=low

  * fix workaround to --import/--export at init script
    this prevent darkstat.db being replaced. Closes: #500070
  * remove debconf note about the init script inclussion
  * remove checks for 2.5-1 versions
  * debian/copyright
    + Add 2-clause BSD license for tree.h and host_sort.c
      and remove the note for /usr/share/common-licenses/BSD
    + add conv.c, actc.c err.c, err.h, str.c and str.h copyright stanza
  * debian/init.d
    + Set Conf variables to empty string before sourcing init.cfg
  * debian/postint
    + only remove DB when version is lt 3.0.707-1
  * debian/templates remove upgrade-note
  * debian/rules
    + made build-stamp depends on configure-stamp not configure
    + made install-stamp depends on build-stamp not build
    + use DESTDIR instead prefix at install-stamp target
  * debian/README.Debian - point to the correct section on the
    reference to the manpage

 -- Rene Mayorga <rmayorga@debian.org.sv>  Mon, 06 Oct 2008 21:49:52 -0400

darkstat (3.0.708-1) unstable; urgency=low

  * New upstream release
  * Refresh manpage patch
  * Bump Standards-version to 3.8.0
    + Add README.source
  * Use debhelper compat-level 6
  * use install instead of cp to move manpage
  * check for existance of Makefile and config.h after try to delete it
  * use dh_clean instead of -rm- at debian/rules
  * remove -DNDEBUG option, is not used anymore

 -- Rene Mayorga <rmayorga@debian.org.sv>  Wed, 04 Jun 2008 22:42:48 -0600

darkstat (3.0.707-2) unstable; urgency=low

  * debian/init.d
     + Fix init.d script problem when START_DARKSTAT is not defined
       Closes: #458971
     + Improve the init.d script

 -- Rene Mayorga <rmayorga@debian.org.sv>  Thu, 03 Jan 2008 18:57:30 -0600

darkstat (3.0.707-1) unstable; urgency=low

  * New Upstream release (Closes: #429769)
  * debian/init.d
    + changes to complain with the newest upstream options
  * README.Debian updated
  * Using the same old question in debconf about removing old database
  * debian/control
    + Add zlib1g-dev to Build-Depends
    + quilt added to Build-Depends
    + Bump standard version to 3.7.3 ( no changes required )
  * debian/rules
    + quilt added
    + remove autogenerated config.h and Makefile at clean target
    + dh_intallman added
    + rename manpage to reflect the proper section, and undo the changes
      on clean target
    + remove lookup for DEB_BUILD_OPTIONS=nostrip and let dh_strip makes
      the work
  * debian/patches
    + Patch Makefile.in to prevent installation of manpage and
      manpage patch to reflect the proper section (was 1 should be 8)
      Patch darkstat.1, using hyphens instead minus sign at options
      alfo fixing NAME section.
  * debian/copyright
    + Upstream URL updated
    + copyright info related to upstream updated
    + add copyright info from other part of the source

 -- Rene Mayorga <rmayorga@debian.org.sv>  Sun, 30 Sep 2007 09:42:04 -0600

darkstat (2.6-15) unstable; urgency=low

  * New Maintainer (Closes: #439044)
  * debian/control
    + debhelper in B-D version raised to >= 5
    + added Hompage field
  * debian/init.d
    + modified to complain Debian-policy regarding LSB
  * debian/rules
    + de-ignoring output from 'make clean'
    + clean some comments and cosmetic changes
  * debian/watch added


 -- Rene Mayorga <rmayorga@debian.org.sv>  Sat, 22 Sep 2007 18:29:01 -0600

darkstat (2.6-14) unstable; urgency=low

  * Orphaned

 -- Cédric Delfosse <cedric@debian.org>  Tue, 21 Aug 2007 21:29:41 +0200

darkstat (2.6-13) unstable; urgency=low

  * Update Dutch debconf translation by Kurt De Bree
    (Closes: Bug#388105)
  * Update Japanese debconf translation by Hideki Yamane
    (Closes: Bug#393211)

 -- Cédric Delfosse <cedric@debian.org>  Sat,  9 Dec 2006 14:53:11 +0100

darkstat (2.6-12) unstable; urgency=low

  * Add portuguese debconf translation by André Costa (Closes: Bug#362980)

 -- Cédric Delfosse <cedric@debian.org>  Sat, 29 Apr 2006 19:43:44 +0200

darkstat (2.6-11) unstable; urgency=low

  * Update German debconf translation by Erik Schanze (Closes: Bug#345698)
  * Update Czech po-debconf translation by Martin Šín (Closes: Bug#345135)
  * Update standards-version to 3.6.2
  * Fix FSF address in debian/copyright

 -- Cédric Delfosse <cedric@debian.org>  Thu, 12 Jan 2006 21:48:35 +0100

darkstat (2.6-10) unstable; urgency=low

  * Add new Spanish debconf translation (Closes: Bug#336038)
  * Update French debconf translation (Closes: Bug#335723)
  * Add new Swedish debconf translation (Closes: Bug#334846)
  * Put debconf-updatepo in debian/rules clean target (Closes: Bug#335715)
  * Fix debconf dependency (Closes: Bug#331791)
  * echo 4 > debian/compat

 -- Cédric Delfosse <cedric@debian.org>  Fri, 11 Nov 2005 15:52:25 +0100

darkstat (2.6-9) unstable; urgency=low

  * Add new Vietnamese po-debconf translation (Closes: Bug#310173)
  * Fix typo in debian/templates (Closes: Bug#310174)

 -- Cédric Delfosse <cedric@debian.org>  Sun, 22 May 2005 15:07:59 +0200

darkstat (2.6-8) unstable; urgency=low

  * Add new Czech po-debconf translation (Closes: Bug#308042)

 -- Cédric Delfosse <cedric@debian.org>  Sat, 14 May 2005 11:56:47 +0200

darkstat (2.6-7) unstable; urgency=low

  * Fix spelling mistake in debian/README.Debian (Closes: Bug#283795)

 -- Cédric Delfosse <cedric@debian.org>  Thu,  9 Dec 2004 21:50:10 +0100

darkstat (2.6-6) unstable; urgency=low

  * Add new Japanese po-debconf translation (Closes: Bug#276814)

 -- Cédric Delfosse <cedric@debian.org>  Tue, 26 Oct 2004 21:21:57 +0200

darkstat (2.6-5) unstable; urgency=low

  * Add new German po-debconf translation (Closes: Bug#251948)

 -- Cédric Delfosse <cedric@debian.org>  Fri, 11 Jun 2004 23:18:07 +0200

darkstat (2.6-4) unstable; urgency=low

  * Apply patch from <Ivan at selidor dot net> to show the total amount of
    data transferred in graphs (Closes: Bug#249467)

 -- Cédric Delfosse <cedric@debian.org>  Sun, 23 May 2004 22:18:32 +0200

darkstat (2.6-3) unstable; urgency=low

  * Add new Dutch po-debconf translation (Closes: Bug#245918)

 -- Cédric Delfosse <cedric@debian.org>  Tue, 27 Apr 2004 15:55:49 +0200

darkstat (2.6-2) unstable; urgency=low

  * Add _GNU_SOURCE define to darkstat.c to define strndup from string.h
    (Closes: Bug#226684)

 -- Cédric Delfosse <cedric@debian.org>  Thu,  8 Jan 2004 21:38:01 +0100

darkstat (2.6-1) unstable; urgency=low

  * New upstream release

 -- Cédric Delfosse <cedric@debian.org>  Tue, 11 Nov 2003 21:05:13 +0100

darkstat (2.5-4) unstable; urgency=low

  * Apply patch from bubulle@debian.org to switch to gettext-based debconf
    templates (Closes: Bug#207386)
  * Use fr.po from bubulle@debian.org for French translation of gettext debconf
    templates (Closes: Bug#207602)

 -- Cédric Delfosse <cedric@debian.org>  Mon,  1 Sep 2003 21:48:51 +0200

darkstat (2.5-3) unstable; urgency=low

  * Typo: Use "--spy" instead of "-spy" in debian/init.cfg (Closes: Bug#205902)

 -- Cédric Delfosse <cedric@debian.org>  Mon, 18 Aug 2003 18:48:47 +0200

darkstat (2.5-2) unstable; urgency=low

  * Put 127.0.0.1 instead of localhost in debian/init.cfg (Closes: Bug#197664)
  * Update Standards-Version to 3.6.0

 -- Cédric Delfosse <cedric@debian.org>  Mon, 28 Jul 2003 21:47:52 +0200

darkstat (2.5-1) unstable; urgency=low

  * New upstream release
  * Removed NEWS from debian/docs
  * Use autotools-dev, added in Build-Depends
  * Remove LOGDIR and add PATH to debian/init.d (closes: Bug#178263)
  * use debconf for init.d script note
  * use debconf to ask user upgrade confirmation, add darkstat.db file removal
    if needed in postinst
  * debconf added to Depends
  * debian/preinst removed
  * added debug-run to debian/init.d
  * better info messages in debian/init.d for start and stop
  * better description in debian/control

 -- Cédric Delfosse <cedric@debian.org>  Wed, 22 Jan 2003 22:16:14 +0100

darkstat (2.4-1) unstable; urgency=low

  * New upstream release
  * Correct wrong build options (noopt instead of debug)
  * Remove useless start-stop-daemon params from /etc/init.d/darkstat, and now
    use --name for 'stop' command
  * Fix a segfault in the source code I modified
  * Add some notes in README.Debian

 -- Cédric Delfosse <cedric@debian.org>  Sat, 21 Dec 2002 20:54:12 +0100

darkstat (2.3-2) unstable; urgency=low

  * Added /etc/init.d/darkstat and /etc/darkstat/init.cfg (closes: Bug#161037)
  Thanks to opal@debian.org for the initial patch.
  * Added README.Debian, preinst
  * Modified darkstat source code: command line switch to indicate a
  directory for the pidfile

 -- Cédric Delfosse <cedric@debian.org>  Mon, 11 Nov 2002 21:37:14 +0100

darkstat (2.3-1) unstable; urgency=low

  * New upstream release

 -- Cédric Delfosse <cedric@debian.org>  Fri,  1 Nov 2002 23:43:20 +0100

darkstat (2.2-1) unstable; urgency=low

  * New upstream release
  * Update to standards version 3.5.7

 -- Cédric Delfosse <cedric@debian.org>  Mon, 23 Sep 2002 22:22:53 +0200

darkstat (2.1-2) unstable; urgency=low

  * Fix build, that was calling autotools. I added AM_MAINTAINER_MODE
    in the configure.ac for this. (closes: Bug#160409)

 -- Cédric Delfosse <cedric@debian.org>  Sun, 15 Sep 2002 16:10:12 +0200

darkstat (2.1-1) unstable; urgency=low

  * New upstream release.

 -- Cédric Delfosse <cedric@debian.org>  Tue, 13 Aug 2002 22:05:42 +0200

darkstat (2.0-1.1) unstable; urgency=low

  * Non maintainer upload
  * Rebuilt with new libpcap to remove dependency on libpcap0, which I
    got removed from unstable by accident. Sorry about this...

 -- Torsten Landschoff <torsten@debian.org>  Sat, 10 Aug 2002 11:36:46 +0200

darkstat (2.0-1) unstable; urgency=low

  * New upstream release.

 -- Cédric Delfosse <cedric@debian.org>  Sun, 21 Jul 2002 20:35:37 +0200

darkstat (1.3-1) unstable; urgency=low

  * Initial Release (closes: Bug#148374)

 -- Cédric Delfosse <cedric@debian.org>  Mon, 27 May 2002 20:17:47 +0200
